#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

int main(int argc, char *argv[])
{
    char *name = argv[1];
    int n, groups, relax;
    int id, i, j, size;
    FILE *in, *out;
    char buf[256];

    snprintf(buf, sizeof(buf), "%s.gvrp", name);
    assert(in = fopen(buf, "r"));
    snprintf(buf, sizeof(buf), "%s.cluvrp", name);
    assert(out = fopen(buf, "w"));
    for (i = 1; i <= 2; i++)
        fgets(buf, 256, in);
    fprintf(out, "NAME: %s\n", name);
    fprintf(out, "TYPE: CluVRP\n");
    fgets(buf, 256, in);
    int Dim, Vehicles, GVRPSets, Capacity;
    sscanf(buf, "DIMENSION: %d\n", &Dim);
    fprintf(out, "%s", buf);
    fgets(buf, 256, in);
    sscanf(buf, "VEHICLES: %d\n", &Vehicles);
    fprintf(out, "%s", buf);
    fgets(buf, 256, in);
    sscanf(buf, "GVRP_SETS: %d\n", &GVRPSets);
    fprintf(out, "%s", buf);
    fgets(buf, 256, in);
    sscanf(buf, "CAPACITY: %d\n", &Capacity);
    fprintf(out, "%s", buf);
    fprintf(out, "EDGE_WEIGHT_TYPE: EUC_2D\n");
    for (i = 1; i <= 1 + Dim + 1 + GVRPSets + 1 + GVRPSets; i++) {
        fgets(buf, 256, in);
        fprintf(out, "%s", buf);
    }
    fprintf(out, "EOF\n");
    fclose(in);
    fclose(out);
}
